Subject: Re: cout/cerr in DLL?
From: [email-masked] (Mumit Khan)

18 Nov 1998 21:36:16 -0800
Message-ID: <[email-masked]>
References: <19981118102129.B870@rothaus>
To: Andreas Holzmann <[email-masked]>
Cc: [email-masked]

Andreas Holzmann <[email-masked]> writes:
> 
> Uh, sorry, it's true, I forgot to write some more information :-(
> I'm running B20 (gcc version egcs-2.91.57 19980901 (egcs-1.1 release))
> 
> I attached a small example that will not work.

That's because you're creating the DLL incorrectly. I've posted quite
a bit of info on how to create DLLs correctly for cygwin here in the
past few months, so I won't repeat it here. In a few words -- the
entry point should not be _dll_entry@12, and fixup hasn't been
needed for a long long time, and there's a lot easier and less error-
prone ways to create DLLs that using "ld ...".

For an example of how to do this right, and do it easily, see the
dlopen-example.tar.gz in:
  
  ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygb20/misc/

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".